Subject: [PATCH 14/38] iio: accel: st: Append _accel to accelerator sensor device names

From: [email-masked] (Jonathan Cameron)
Date: Sat, 14 Sep 2013 13:27:25 +0100

On 09/14/13 13:14, Jonathan Cameron wrote:
> On 09/10/13 13:49, Lee Jones wrote:
>> Some of ST's sensors are appended with their sensor type and some
>> are not. For consistency we're extending the same naming convention
>> throughout.
>>
>> Signed-off-by: Lee Jones <[email-masked]>
> Honestly I don't care either way on these, but consistency would definitely
> be good so applied to the togreg branch of iio.git
> 
> Thanks,

Actually change of plan. I'm going to hold off on these as this an ABI change.
Iritating though having these as completely inconsistent is, changing this
will change device identification from userspace which is not a good idea.

Sorry Lee, but we really shouldn't do this. I should have picked up on this
in the original driver reviews but that's hindsight for you.

>> ---
>>  drivers/iio/accel/st_accel.h | 4 ++--
>>  1 file changed, 2 insertions(+), 2 deletions(-)
>>
>> diff --git a/drivers/iio/accel/st_accel.h b/drivers/iio/accel/st_accel.h
>> index c387763..d8d22e5 100644
>> --- a/drivers/iio/accel/st_accel.h
>> +++ b/drivers/iio/accel/st_accel.h
>> @@ -15,11 +15,11 @@
>>  #include <linux/iio/common/st_sensors.h>
>>  
>>  #define LSM303DLHC_ACCEL_DEV_NAME	"lsm303dlhc_accel"
>> -#define LIS3DH_ACCEL_DEV_NAME		"lis3dh"
>> +#define LIS3DH_ACCEL_DEV_NAME		"lis3dh_accel"
>>  #define LSM330D_ACCEL_DEV_NAME		"lsm330d_accel"
>>  #define LSM330DL_ACCEL_DEV_NAME		"lsm330dl_accel"
>>  #define LSM330DLC_ACCEL_DEV_NAME	"lsm330dlc_accel"
>> -#define LIS331DLH_ACCEL_DEV_NAME	"lis331dlh"
>> +#define LIS331DLH_ACCEL_DEV_NAME	"lis331dlh_accel"
>>  #define LSM303DL_ACCEL_DEV_NAME		"lsm303dl_accel"
>>  #define LSM303DLH_ACCEL_DEV_NAME	"lsm303dlh_accel"
>>  #define LSM303DLM_ACCEL_DEV_NAME	"lsm303dlm_accel"
>>
> --
> To unsubscribe from this list: send the line "unsubscribe linux-iio" in
> the body of a message to majordomo at vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>